////////////////////////////////////////////////////////////////////////////////
// Copyright (c) 1995-2008 Xilinx, Inc.  All rights reserved.
////////////////////////////////////////////////////////////////////////////////
//   ____  ____ 
//  /   /\/   / 
// /___/  \  /    Vendor: Xilinx 
// \   \   \/     Version : 10.1.03
//  \   \         Application : 
//  /   /         Filename : xil_2800_27
// /___/   /\     Timestamp : 02/23/2009 21:03:45
// \   \  /  \ 
//  \___\/\___\ 
//
//Command: 
//Design Name: 
//
`timescale 1ns / 1ps

module hex_to_disp(d0, 
                   d1, 
                   d2, 
                   d3, 
    //               en, 
                   a, 
                   b, 
                   c, 
                   d, 
                   e, 
                   f, 
                   g);

    input d0;
    input d1;
    input d2;
    input d3;
   // input en;
   output a;
   output b;
   output c;
   output d;
   output e;
   output f;
   output g;
   
	
	
	
		
	reg [6:0] q;

		assign {a,b,c,d,e,f,g} = q;
		

		always @ (d3,d2,d1,d0)
		begin
			case ({d3,d2,d1,d0})
			4'h0 :  q = 7'b1111110;
			4'h1 :  q = 7'b0110000;
			4'h2 :  q = 7'b1101101;
			4'h3 :  q = 7'b1111001;
			4'h4 :  q = 7'b0110011;
			4'h5 :  q = 7'b1011011;
			4'h6 :  q = 7'b1011111;
			4'h7 :  q = 7'b1110000;
			4'h8 :  q = 7'b1111111;	
			4'h9 :  q = 7'b1111011;
			4'ha :  q = 7'b1110111;
			4'hb :  q = 7'b0011111;
			4'hc :  q = 7'b0001101;
			4'hd :  q = 7'b0111101;
			4'he :  q = 7'b1001111;
			4'hf :  q = 7'b1000111;
			endcase
		end
   
endmodule
